<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>gov.va.med.cds</groupId>
		<artifactId>cds</artifactId>
		<version>3.16.0.1-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<artifactId>cdsn-ws</artifactId>
	<name>CDSN: cdsn-ws</name>
	<packaging>war</packaging>
	<description>Web Service Client Application Deployment Module</description>
	<dependencies>
		<!-- IMPORTANT -->
		<!-- Be sure to copy these dependency definitions to the pom.xmls contained in the ear project. This project is configured to create a 'thin' non-standard 
			war artifact. This keeps the build from duplicating the 3rd party jar dependencies in both the war and the ear. Maven isn't smart enough to figure 
			this out implicitely so we have to explicitely tell the ear pom.xml to include these same dependencies. A 'thin' war is a good thing... really! -->
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>common</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>junit-ext</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>cds-client</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>cds-core</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>gov.va.med.cds.ws</groupId>
			<artifactId>common-ws</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-core</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-http</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-simple</artifactId>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<groupId>com.sun.xml.bind</groupId>
					<artifactId>jaxb-core</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-jaxrs</artifactId>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<groupId>javax.annotation</groupId>
					<artifactId>javax.annotation-api</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-jaxws</artifactId>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<artifactId>org.ow2.asm</artifactId>
					<groupId>asm</groupId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.cxf</groupId>
					<artifactId>cxf-rt-bindings-xml</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
  			<groupId>org.apache.cxf</groupId>
  			<artifactId>cxf-rt-rs-security-xml</artifactId>
  			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.ow2.asm</groupId>
			<artifactId>asm</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>wsdl4j</groupId>
			<artifactId>wsdl4j</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.jws</groupId>
			<artifactId>jsr181-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<!-- <dependency>
			<groupId>javax.ws.rs</groupId>
			<artifactId>jsr311-api</artifactId>
			<scope>provided</scope>
		</dependency> -->
		<dependency>
			<groupId>javax.ws.rs</groupId>
			<artifactId>javax.ws.rs-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aop</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.easymock</groupId>
			<artifactId>easymock</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<artifactId>maven-war-plugin</artifactId>
				<configuration>
					<warSourceExcludes>WEB-INF/lib/*.jar</warSourceExcludes>
					<packagingExcludes>WEB-INF/lib/*.jar</packagingExcludes>
					<archive>
						<manifest>
							<addClasspath>true</addClasspath>
							<classpathPrefix>lib/</classpathPrefix>
						</manifest>
					</archive>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
